petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSPAISetBlockSize

set the block size for the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetBlockSize(PC pc,int block_size1)

### Input Parameters

| pc | - the preconditioner Many br
| n | - block size (default 1) Many br

Notes: A block Many brsize of 1 treats A as a matrix of scalar elements. A Many brblock size of s > 1 treats A as a matrix of sxs Many brblocks. A block size of 0 treats A as a matrix with Many brvariable sized blocks, which are determined by Many brsearching for dense square diagonal blocks in A. Many brThis can be very effective for finite-element Many brmatrices. Many br

SPAI will convert A to block form, use a block Many brversion of the preconditioner algorithm, and then Many brconvert the result back to scalar form. Many br

In many cases the a block-size parameter other than 1 Many brcan lead to very significant improvement in Many brperformance. Many br

Many br

### See Also

PCSPAI, PCSetType()

Level:intermediate
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages